Bug 417987 - Discover should update addons installed via GHNS windows
Summary: Discover should update addons installed via GHNS windows
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 12:09 UTC by Patrick Silva
Modified: 2020-07-31 13:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (270.81 KB, image/png)
2020-02-21 12:09 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-02-21 12:09:40 UTC
Created attachment 126257 [details]
screenshot

SUMMARY
Discover does not find updates for addons installed via GHNS windows.
My screenshot shows that a update to qogir icon theme is available but
Discover does not find it.

STEPS TO REPRODUCE
1. install an addon via a GHNS window
2. wait update to such addon to be released
3. open Discover

OBSERVED RESULT
Discover does not find the update to addon and indicates that your system is already updated.

EXPECTED RESULT
Discover should find and install updates to addons installed via GHNS windows.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.18.80
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1
Comment 1 Aleix Pol 2020-07-30 23:31:14 UTC
Probably related to https://bugs.kde.org/show_bug.cgi?id=421924.
Comment 2 Bug Janitor Service 2020-07-31 12:31:02 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/17
Comment 3 Dan Leinir Turthra Jensen 2020-07-31 13:35:22 UTC
Git commit 41b790f6d1aa22a59bb5bcb643f94776e6eaa839 by Dan Leinir Turthra Jensen.
Committed on 31/07/2020 at 12:26.
Pushed by leinir into branch 'master'.

Load the KNewStuff updates information on Discover startup

Without this, Discover only loads the installed items, but does not
also check whether there are updates available. This is cached by
the KNSCore::Engine, so we don't need the throttling in Discover itself,
but also if this is not done during the initialisation step, the updates
information will simply not be available.
Related: bug 421924

M  +12   -0    libdiscover/backends/KNSBackend/KNSBackend.cpp

https://invent.kde.org/plasma/discover/commit/41b790f6d1aa22a59bb5bcb643f94776e6eaa839